# 1.0.0.CR2 - "Carpinteria"

## New and Noteworthy

- API cleanup, deprecated methods removed
- Documentation extended and corrected

## Potential breakages

Changes in semantics or API that may break existing applications are listed here. 
Modifications in the statistics output will not listed as breakage.

- API: Deprecated methods removed
- JCache: JMX MBeans are registered with the platform MBean server
- Removed the method: `Cache.prefetchAll(CacheOperationCompletionListener listener, K... keys)`
- Removed the method: `Cache.prefetch(CacheOperationCompletionListener listener, K key)`
- Removed the method: `Cache.prefetchAll(Iterable<? extends K> keys)`
- Exchange parameters at the cache methods and put the listener last: `loadAll`, `realoadAll`, `prefetchAll`

## Fixes and Improvements

- `disableStatistics(true)` also disables JMX  
- `KeyValueSource.close()` method added, implements `Closable` 

## Using this cache2k version

### For Java SE/EE environments

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-api</artifactId>
      <version>1.0.0.CR2</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-all</artifactId>
      <version>1.0.0.CR2</version>
      <scope>runtime</scope>
    </dependency>
````

### For Android

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-api</artifactId>
      <version>1.0.0.CR2</version>
    </dependency>
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-core</artifactId>
      <version>1.0.0.CR2</version>
      <scope>runtime</scope>
    </dependency>
````

### Using the JCache / JSR107 provider

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-jcache</artifactId>
      <version>1.0.0.CR2</version>
    </dependency>
    <dependency>
      <groupId>javax.cache</groupId>
      <artifactId>cache-api</artifactId>
      <version>1.0.0</version>
    </dependency>
````
